petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetConstrainedStorageSize

Return the size of an array or local Vec capable of holding all unconstrained degrees of freedom.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetConstrainedStorageSize(PetscSection s, PetscInt *size)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point

### Output Parameter

size -the size of an array which can hold all unconstrained dofs

### See Also

PetscSectionGetStorageSize(), PetscSectionGetOffset(), PetscSectionCreate()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages